#{form @LoginCtr.loginSubmit(), id:'formLogin', method:'POST', autocomplete:'off'}
	<input type="hidden" name="txtPassword" id="passw" />
	<input type="hidden" name="txtUserId" id="userid">
		<div class="form-group">
		<div class="input-group">
			<div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-user"></i></span></div>
			<input  id="txtUserId" type="text" placeholder="User ID" class="form-control">
		</div>
		<span class="form-text"></span>
		</div>
		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-lock"></i></span></div>
				<input id="txtPassword" type="password" placeholder="Password" class="form-control pwd">
                <div class="input-group-append reveal">
					<span class="input-group-text"><i class="fa fa-eye" aria-hidden="true"></i></span>
          		</div>
			</div>			
			<span class="form-text"></span>
		</div>		
		#{if randomID}
		<input type=hidden name=randomID value="${randomID}"/>
		<div class="form-group">
			<div class="input-group">
				<span ><img src="@{controllers.PublikCtr.showCaptcha(randomID)}" title="Kode Keamanan"></span>	
			</div>			
			<span class="form-text"></span>
		</div>	
		<div class="form-group">
			<div class="input-group">
				<div class="input-group-append"><span class="input-group-text"><i class="fa fa-unlock"></i></span></div>
				<input name="txtKodeKeamanan" id="txtKodeKeamanan" type="text" placeholder="Kode Keamanan" class="form-control">
			</div>			
			<span class="form-text"></span>
		</div>	
		#{/if}		
		<div class="form-group">
			<label class="radio-inline"><input type="radio" name="isRekanan" #{checked isRekanan/} value="true"> &{'login.penyedia'}</label>
			<label class="radio-inline"><input type="radio" name="isRekanan" #{checked !isRekanan/} id="optionsRadios1" value="false"> &{'login.nonpenyedia'}</label>
		</div>		
		<span class="help-block"></span>
		<button class="btn btn-success form-control" type="submit" name="login">&{'login.login'}</button>
						
#{/form}
<p id="lupaPassword" class="clearfix" style="margin-top:20px;"><a href="@{UserCtr.lupaPassword()}">&{'login.lupapwd'}?</a></p>

<div align="right" id="lupaPassword" class="clearfix" style="margin-top:10px"><a href="@{UserCtr.lupaPassword()}">Lupa Password?</a></div>

<script type="text/javascript" src="#{assets '/js/aes.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/pbkdf2.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/AesUtil.js'/}"></script>
<script type="text/javascript">
$(document).ready(function () {
	$('#formLogin').submit(function(){
		var pass = $('#txtPassword').val();
		var userid = $('#txtUserId').val();
		if(pass && userid) {
			var aesUtil = new AesUtil(256, 1000);
			var cipherPass = aesUtil.encrypt('${salt}', '${iv}', '${token}', pass);
			var cipherUser = aesUtil.encrypt('${salt}', '${iv}', '${token}', userid);
			$('#passw').val(cipherPass);
			$('#userid').val(cipherUser)
		}
	});
});

$(".reveal").on('click',function() {
    var $pwd = $(".pwd");
    if ($pwd.attr('type') === 'password') {
        $pwd.attr('type', 'text');
    } else {
        $pwd.attr('type', 'password');
    }
});
</script>
